/**********************************************************************
 *
 * browseaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: browseaction.h 213 1999-03-29 02:14:31Z sjboddie $
 *
 *********************************************************************/


#ifndef BROWSEACTION_H
#define BROWSEACTION_H

#include "action.h"
#include "gsdlconf.h"

class browseaction : public action {


public:
  browseaction ();
  virtual ~browseaction ();

  text_t get_action_name () {return "b";}

  bool check_cgiargs (cgiargsclass &args, ostream &logout);

  void get_cgihead_info (cgiargsclass &args, response_t &response,
                         text_t &response_data, ostream &logout);

  void define_internal_macros (displayclass &disp, cgiargsclass &args, 
			       recptproto *collectproto, ostream &logout);

  bool do_action (cgiargsclass &args, recptproto *collectproto,
                  displayclass &disp, outconvertclass &outconvert,
                  ostream &textout, ostream &logout);

};



#endif


